/*
 * Copyright 03/21/95 Sun Microsystems, Inc.  All Rights Reserved.
 */

/*
 * This file gets included instead of the "real" assert.h when
 * compiling for lock_lint.  First it includes the real assert.h.
 * Then it redefines the assert() macro to something simple so
 * that it can be handled by the compiler when using the -Zll flag.
 */

#pragma ident "@(#)assert.h 1.1 95/03/21 SMI"

#pragma reinclude

#undef assert
#define assert(x)	__ll_assert(x)

extern int __ll_assert();
