#pragma ident "@(#)note.h 1.1 96/06/07"

/*
 * Copyright 06/07/96 Sun Microsystems, Inc. All Rights Reserved
 */

/*
 * _NOTE() interface for annotating source with info for enhanced lint.
 *
 * NOTE is the default interface, but if the identifier NOTE is in use for
 * some other purpose, you may prepare a similar header file using your own
 * identifier, mapping that identifier to _NOTE.  Also, exported header
 * files should *not* use NOTE, since the name may already be in use in
 * a program's namespace.  Rather, exported header files should include
 * sys/note.h directly and use _NOTE.  For consistency, all kernel source
 * should use _NOTE.
 */
 
#ifndef _NOTE_H
#define _NOTE_H

#define NOTE		_NOTE
#include <sys/note.h>

#endif  /* _NOTE_H */
